HttpServer2Metrics (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.http, class: HttpServer2Metrics

Package org.apache.hadoop.http

# Class HttpServer2Metrics

java.lang.Object
org.apache.hadoop.http.HttpServer2Metrics

@Private @Unstable @Metrics(name="HttpServer2", about="HttpServer2 metrics", context="http") public class HttpServer2Metrics extends Object
This class collects all the metrics of Jetty's StatisticsHandler and expose them as Hadoop Metrics.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `asyncDispatches()`
  `int`
  `asyncRequests()`
  `int`
  `asyncRequestsWaiting()`
  `int`
  `asyncRequestsWaitingMax()`
  `int`
  `dispatched()`
  `int`
  `dispatchedActive()`
  `int`
  `dispatchedActiveMax()`
  `long`
  `dispatchedTimeMax()`
  `double`
  `dispatchedTimeMean()`
  `double`
  `dispatchedTimeStdDev()`
  `long`
  `dispatchedTimeTotal()`
  `int`
  `expires()`
  `int`
  `requests()`
  `int`
  `requestsActive()`
  `int`
  `requestsActiveMax()`
  `long`
  `requestTimeMax()`
  `double`
  `requestTimeMean()`
  `double`
  `requestTimeStdDev()`
  `long`
  `requestTimeTotal()`
  `int`
  `responses1xx()`
  `int`
  `responses2xx()`
  `int`
  `responses3xx()`
  `int`
  `responses4xx()`
  `int`
  `responses5xx()`
  `long`
  `responsesBytesTotal()`
  `long`
  `statsOnMs()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### asyncDispatches

    @Metric("number of requested that have been asynchronously dispatched") public int asyncDispatches()

  - ### asyncRequests

    @Metric("total number of async requests") public int asyncRequests()

  - ### asyncRequestsWaiting

    @Metric("currently waiting async requests") public int asyncRequestsWaiting()

  - ### asyncRequestsWaitingMax

    @Metric("maximum number of waiting async requests") public int asyncRequestsWaitingMax()

  - ### dispatched

    @Metric("number of dispatches") public int dispatched()

  - ### dispatchedActive

    @Metric("number of dispatches currently active") public int dispatchedActive()

  - ### dispatchedActiveMax

    @Metric("maximum number of active dispatches being handled") public int dispatchedActiveMax()

  - ### dispatchedTimeMax

    @Metric("maximum time spend in dispatch handling (in ms)") public long dispatchedTimeMax()

  - ### dispatchedTimeMean

    @Metric("mean time spent in dispatch handling (in ms)") public double dispatchedTimeMean()

  - ### dispatchedTimeStdDev

    @Metric("standard deviation for dispatch handling (in ms)") public double dispatchedTimeStdDev()

  - ### dispatchedTimeTotal

    @Metric("total time spent in dispatch handling (in ms)") public long dispatchedTimeTotal()

  - ### expires

    @Metric("number of async requests requests that have expired") public int expires()

  - ### requests

    @Metric("number of requests") public int requests()

  - ### requestsActive

    @Metric("number of requests currently active") public int requestsActive()

  - ### requestsActiveMax

    @Metric("maximum number of active requests") public int requestsActiveMax()

  - ### requestTimeMax

    @Metric("maximum time spend handling requests (in ms)") public long requestTimeMax()

  - ### requestTimeMean

    @Metric("mean time spent handling requests (in ms)") public double requestTimeMean()

  - ### requestTimeStdDev

    @Metric("standard deviation for request handling (in ms)") public double requestTimeStdDev()

  - ### requestTimeTotal

    @Metric("total time spend in all request handling (in ms)") public long requestTimeTotal()

  - ### responses1xx

    @Metric("number of requests with 1xx response status") public int responses1xx()

  - ### responses2xx

    @Metric("number of requests with 2xx response status") public int responses2xx()

  - ### responses3xx

    @Metric("number of requests with 3xx response status") public int responses3xx()

  - ### responses4xx

    @Metric("number of requests with 4xx response status") public int responses4xx()

  - ### responses5xx

    @Metric("number of requests with 5xx response status") public int responses5xx()

  - ### responsesBytesTotal

    @Metric("total number of bytes across all responses") public long responsesBytesTotal()

  - ### statsOnMs

    @Metric("time in milliseconds stats have been collected for") public long statsOnMs()